Как исправить фреймворк с конфликтующими именами в Cocoapods?

ios frameworks cocoapods

1949 просмотра

1 ответ

1897 Репутация автора

Я создал два частных модуля, которые основаны на одной и той же платформе поставщика. Когда я добавляю стручки в свой основной проект, я получаю ошибку ниже:

target has frameworks with conflicting names: FirebaseAnalytics, FirebaseInstanceID, GoogleInterchangeUtilities, GoogleSymbolUtilities, and GoogleUtilities.

Я пробовал как с cocoapods 0.39, так и с версией 1.0.1.

Автор: Soheil Источник Размещён: 19.07.2016 08:37

Ответы (1)


2 плюса

4793 Репутация автора

Это ошибка в Cocoapod 1.0.1. Чтобы решить эту проблему, пока они не исправят бета-версию, я использовал:

pod _1.0.0_ install
Автор: MCMatan Размещён: 13.09.2016 08:55
Вопросы из категории :
32x32